ORIGIN		= Symantec C++
ORIGIN_VER	= Version 7.20
VERSION		= DEBUG

!IFDEF SUB_DEBUG
DEBUG		= $(SUB_DEBUG)
NDEBUG		= !$(SUB_DEBUG)
!ELSE
DEBUG		= 1
NDEBUG		= 0
!ENDIF

PROJ		= wxsc167
APPTYPE		= WINDOWS LIB
PROJTYPE	= LIB

CC		= SC
CPP		= SPP
MAKE		= SMAKE
RC		= RCC
HC		= HC31
ASM		= SC
DISASM		= OBJ2ASM
LNK		= LINK
DLLS		= 

HEADERS		= ..\contrib\fafa\fafapriv.h ..\include\base\wb_cmdlg.h ..\include\base\wb_buttn.h  \
		..\include\msw\wx_buttn.h ..\include\base\wb_rbox.h ..\include\msw\wx_rbox.h ..\include\base\wb_lbox.h  \
		..\include\msw\wx_lbox.h ..\include\base\wb_txt.h ..\include\msw\wx_txt.h ..\include\base\wb_choic.h  \
		..\include\msw\wx_choic.h ..\include\base\wb_slidr.h ..\include\msw\wx_slidr.h ..\include\base\wb_dialg.h  \
		..\include\base\wb_messg.h ..\include\msw\wx_messg.h ..\include\base\wb_check.h ..\include\msw\wx_check.h  \
		..\include\base\wb_dcpan.h ..\include\msw\wx_dcpan.h ..\include\base\wb_panel.h ..\include\msw\wx_panel.h  \
		..\include\base\wb_item.h ..\include\msw\wx_item.h ..\include\msw\wx_dialg.h ..\include\base\wx_utils.h  \
		..\include\base\wb_dccan.h ..\include\msw\wx_dccan.h ..\include\base\wb_canvs.h ..\include\msw\wx_canvs.h  \
		..\include\base\wb_frame.h ..\include\msw\wx_frame.h ..\include\base\wb_dc.h ..\include\msw\wx_gdi.h  \
		..\include\msw\wx_dc.h ..\include\base\wx_mgstr.h ..\include\base\wx_prec.h ..\include\base\wx_types.h  \
		..\include\base\wx_sysev.h ..\include\base\wx_stdev.h ..\include\base\wb_win.h ..\include\msw\wx_win.h  \
		..\contrib\itsybits\itsybits.h ..\include\base\wx_hash.h ..\include\base\wx_list.h ..\include\base\wx_defs.h  \
		..\include\base\wx_obj.h ..\include\base\wb_gdi.h ..\include\base\wx_ver.h ..\include\base\wx_setup.h  \
		..\..\SC\INCLUDE\string.h ..\..\SC\INCLUDE\stdarg.h ..\..\SC\INCLUDE\stdio.h ..\contrib\fafa\fafa.h  \
		..\..\SC\INCLUDE\windows.h ..\..\SC\INCLUDE\win16\windows.h ..\..\SC\INCLUDE\custcntl.h ..\..\SC\INCLUDE\win16\custcntl.h  \
		..\..\SC\INCLUDE\memory.h ..\contrib\gauge\zyz3d.h ..\..\SC\INCLUDE\malloc.h ..\..\SC\INCLUDE\stdlib.h  \
		..\contrib\gauge\zyzgauge.h ..\..\SC\INCLUDE\windowsx.h ..\..\SC\INCLUDE\win16\windowsx.h ..\..\SC\INCLUDE\stddef.h  \
		..\..\SC\INCLUDE\fstream.h ..\..\SC\INCLUDE\iostream.h ..\include\base\wx.h ..\include\base\wx_mem.h  \
		..\include\msw\wx_dcmem.h ..\include\base\wb_dcmem.h ..\include\base\wx_dcps.h ..\include\msw\wx_mtxt.h  \
		..\include\base\wb_mtxt.h ..\include\msw\wx_group.h ..\include\base\wb_group.h ..\include\msw\wx_gauge.h  \
		..\include\base\wb_gauge.h ..\include\msw\wx_combo.h ..\include\base\wb_combo.h ..\include\msw\wx_menu.h  \
		..\include\base\wb_menu.h ..\include\msw\wx_mnuit.h ..\include\base\wb_mnuit.h ..\include\msw\wx_text.h  \
		..\include\base\wb_text.h ..\include\msw\wx_main.h ..\include\base\wb_main.h ..\include\msw\ctl3d.h  \
		..\utils\rcparser\src\cric_prv.h ..\utils\rcparser\src\curico.h ..\utils\rcparser\src\wxcurico.h ..\..\SC\INCLUDE\assert.h  \
		..\utils\dib\dib.h ..\include\msw\wx_itemp.h ..\include\msw\wx_privt.h ..\include\base\wx_res.h  \
		..\include\base\wx_help.h ..\..\SC\INCLUDE\math.h ..\include\base\wb_timer.h ..\include\msw\wx_timer.h  \
		..\include\base\wb_mf.h ..\include\msw\wx_mf.h ..\include\base\wx_time.h ..\include\base\wx_doc.h  \
		..\include\base\wx_date.h ..\contrib\wxstring\wxstrgnu.h ..\contrib\wxstring\wxregex.h ..\include\base\wxstring.h  \
		..\include\base\wx_split.h ..\include\base\wx_print.h ..\include\base\wx_form.h ..\include\msw\wx_clipb.h  \
		..\include\base\wb_scrol.h ..\include\msw\wx_scrol.h ..\include\base\wx_bbar.h ..\include\base\wx_tbar.h  \
		..\include\base\wx_lay.h ..\..\SC\INCLUDE\commdlg.h ..\include\msw\wx_cmdlg.h ..\utils\rcparser\src\rcparser.h  \
		..\utils\rcparser\src\rcobject.h 

DEFFILE		= wxsc167.DEF

!IF $(DEBUG)
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= ..\lib
!IF EXIST (..\lib)
CREATETARGETDIR	=
!ELSE
CREATETARGETDIR	= if not exist $(TARGETDIR)\*.* md $(TARGETDIR)
!ENDIF

LIBS		= 

CFLAGS		=  -ml -C -WA -NV -S -Ns -R -2 -a2 -c -g -gd 
LFLAGS		=  /CO /DE /XU /A:16
DEFINES		= -Dwx_msw -DUSE_CTL3D=1 
!ELSE
OUTPUTDIR	= .
CREATEOUTPUTDIR	=
TARGETDIR	= .
CREATETARGETDIR	=

LIBS		= 

CFLAGS		=  -ms -o+time -WA -NV -Ns -R -2 -a2 -c 
LFLAGS		=  /DE /E /PACKF /REO /WI /XU /A:16
DEFINES		= -Dwx_msw -DUSE_CTL3D=1 
!ENDIF

HFLAGS		= $(CFLAGS) 
MFLAGS		= MASTERPROJ=$(PROJ) 
LIBFLAGS	=  /C /P:64 
RESFLAGS	=  
DEBUGGERFLAGS	=  
AFLAGS		= $(CFLAGS) 
HELPFLAGS	= 

MODEL		= L

PAR		= PROJS BATS OBJS

RCDEFINES	= 

INCLUDES	= -I..\include\base -I..\include\msw -I..\contrib\fafa

INCLUDEDOBJS	= 

OBJS		= ..\contrib\fafa\button.OBJ ..\contrib\fafa\check.OBJ ..\contrib\fafa\cont.OBJ  \
		..\contrib\fafa\dialog.OBJ ..\contrib\fafa\draw.OBJ ..\contrib\fafa\fafa.OBJ ..\contrib\fafa\static.OBJ  \
		..\utils\rcparser\src\curico.OBJ ..\utils\dib\dib.OBJ ..\contrib\itsybits\itsybits.OBJ ..\utils\rcparser\src\rcobject.OBJ  \
		..\utils\rcparser\src\rcparser.OBJ base\wb_canvs.OBJ base\wb_cmdlg.OBJ base\wb_data.OBJ  \
		base\wb_dc.OBJ base\wb_dialg.OBJ base\wb_form.OBJ base\wb_frame.OBJ  \
		base\wb_gdi.OBJ base\wb_hash.OBJ base\wb_help.OBJ base\wb_ipc.OBJ  \
		base\wb_item.OBJ base\wb_list.OBJ base\wb_main.OBJ base\wb_mf.OBJ  \
		base\wb_mgstr.OBJ base\wb_obj.OBJ base\wb_panel.OBJ base\wb_print.OBJ  \
		base\wb_ps.OBJ base\wb_res.OBJ base\wb_scrol.OBJ base\wb_stat.OBJ  \
		base\wb_stdev.OBJ base\wb_sysev.OBJ base\wb_text.OBJ base\wb_timer.OBJ  \
		base\wb_types.OBJ base\wb_utils.OBJ base\wb_vlbox.OBJ base\wb_win.OBJ  \
		base\wx_bbar.OBJ base\wx_date.OBJ base\wx_doc.OBJ base\wx_enhdg.OBJ  \
		base\wx_frac.OBJ base\wx_lay.OBJ base\wx_mem.OBJ base\wx_split.OBJ  \
		base\wx_tbar.OBJ base\wx_time.OBJ base\wxstring.OBJ msw\wx_buttn.OBJ  \
		msw\wx_canvs.OBJ msw\wx_check.OBJ msw\wx_choic.OBJ msw\wx_clipb.OBJ  \
		msw\wx_cmdlg.OBJ msw\wx_combo.OBJ msw\wx_db.OBJ msw\wx_dc.OBJ  \
		msw\wx_dialg.OBJ msw\wx_frame.OBJ msw\wx_gauge.OBJ msw\wx_gdi.OBJ  \
		msw\wx_group.OBJ msw\wx_ipc.OBJ msw\wx_item.OBJ msw\wx_lbox.OBJ  \
		msw\wx_main.OBJ msw\wx_menu.OBJ msw\wx_messg.OBJ msw\wx_mf.OBJ  \
		msw\wx_mtxt.OBJ msw\wx_panel.OBJ msw\wx_rbox.OBJ msw\wx_scrol.OBJ  \
		msw\wx_slidr.OBJ msw\wx_stat.OBJ msw\wx_text.OBJ msw\wx_timer.OBJ  \
		msw\wx_txt.OBJ msw\wx_utils.OBJ msw\wx_vlbox.OBJ msw\wx_win.OBJ  \
		..\contrib\gauge\zyz3d.OBJ ..\contrib\gauge\zyzgauge.OBJ 

RCFILES		= 

RESFILES	= 

SYMS		= 

HELPFILES	= 

BATS		= 

.SUFFIXES: .C .CP .CPP .CXX .CC .H .HPP .HXX .COM .EXE .DLL .LIB .RTF .DLG .ASM .RES .RC .OBJ 

.C.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.c

.CPP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cpp

.CXX.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cxx

.CC.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cc

.CP.OBJ:
	$(CC) $(CFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.cp

.H.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.h

.HPP.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.hpp

.HXX.SYM:
	$(CC) $(HFLAGS) $(DEFINES) $(INCLUDES) -HF -o$(*B).sym $*.hxx

.C.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)   $*.c   -o$*.lst

.CPP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cpp -o$*.lst

.CXX.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.cxx -o$*.lst

.CP.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cp  -o$*.lst

.CC.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES)  $*.cc  -o$*.lst

.ASM.EXP:
	$(CPP) $(CFLAGS) $(DEFINES) $(INCLUDES) $*.asm -o$*.lst

.OBJ.COD:
	$(DISASM) $*.OBJ -c

.OBJ.EXE:
	$(LNK) $(LFLAGS) @$(PROJ).LNK

.RTF.HLP:
	$(HC) $(HELPFLAGS) $*.HPJ

.ASM.OBJ:
	$(ASM) $(AFLAGS) $(DEFINES) $(INCLUDES) -o$*.obj $*.asm

.RC.RES: 
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $*.rc -o$*.res

.DLG.RES:
	echo ^#include "windows.h" >$$$*.rc
	echo ^IF EXIST "$*.h" >>$$$*.rc
	echo ^#include "$*.h" >>$$$*.rc
	echo ^#include "$*.dlg" >>$$$*.rc
	$(RC) $(RCDEFINES) $(RESFLAGS) $(INCLUDES) $$$*.rc
	-del $*.res
	-ren $$$*.res $*.res



all:	createdir $(PRECOMPILE) $(SYMS) $(OBJS) $(INCLUDEDOBJS) $(POSTCOMPILE) $(TARGETDIR)\$(PROJ).$(PROJTYPE) $(POSTLINK) _done

createdir:
	$(CREATEOUTPUTDIR)
	$(CREATETARGETDIR)

$(TARGETDIR)\$(PROJ).$(PROJTYPE): $(OBJS) $(INCLUDEDOBJS) $(RCFILES) $(RESFILES) $(HELPFILES) 
			-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
		LIB $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(LIBFLAGS)\
				@<<
 +..\contrib\fafa\button.OBJ +..\contrib\fafa\check.OBJ +..\contrib\fafa\cont.OBJ &
		 +..\contrib\fafa\dialog.OBJ +..\contrib\fafa\draw.OBJ +..\contrib\fafa\fafa.OBJ +..\contrib\fafa\static.OBJ &
		 +..\utils\rcparser\src\curico.OBJ +..\utils\dib\dib.OBJ +..\contrib\itsybits\itsybits.OBJ +..\utils\rcparser\src\rcobject.OBJ &
		 +..\utils\rcparser\src\rcparser.OBJ +base\wb_canvs.OBJ +base\wb_cmdlg.OBJ +base\wb_data.OBJ &
		 +base\wb_dc.OBJ +base\wb_dialg.OBJ +base\wb_form.OBJ +base\wb_frame.OBJ &
		 +base\wb_gdi.OBJ +base\wb_hash.OBJ +base\wb_help.OBJ +base\wb_ipc.OBJ &
		 +base\wb_item.OBJ +base\wb_list.OBJ +base\wb_main.OBJ +base\wb_mf.OBJ &
		 +base\wb_mgstr.OBJ +base\wb_obj.OBJ +base\wb_panel.OBJ +base\wb_print.OBJ &
		 +base\wb_ps.OBJ +base\wb_res.OBJ +base\wb_scrol.OBJ +base\wb_stat.OBJ &
		 +base\wb_stdev.OBJ +base\wb_sysev.OBJ +base\wb_text.OBJ +base\wb_timer.OBJ &
		 +base\wb_types.OBJ +base\wb_utils.OBJ +base\wb_vlbox.OBJ +base\wb_win.OBJ &
		 +base\wx_bbar.OBJ +base\wx_date.OBJ +base\wx_doc.OBJ +base\wx_enhdg.OBJ &
		 +base\wx_frac.OBJ +base\wx_lay.OBJ +base\wx_mem.OBJ +base\wx_split.OBJ &
		 +base\wx_tbar.OBJ +base\wx_time.OBJ +base\wxstring.OBJ +msw\wx_buttn.OBJ &
		 +msw\wx_canvs.OBJ +msw\wx_check.OBJ +msw\wx_choic.OBJ +msw\wx_clipb.OBJ &
		 +msw\wx_cmdlg.OBJ +msw\wx_combo.OBJ +msw\wx_db.OBJ +msw\wx_dc.OBJ &
		 +msw\wx_dialg.OBJ +msw\wx_frame.OBJ +msw\wx_gauge.OBJ +msw\wx_gdi.OBJ &
		 +msw\wx_group.OBJ +msw\wx_ipc.OBJ +msw\wx_item.OBJ +msw\wx_lbox.OBJ &
		 +msw\wx_main.OBJ +msw\wx_menu.OBJ +msw\wx_messg.OBJ +msw\wx_mf.OBJ &
		 +msw\wx_mtxt.OBJ +msw\wx_panel.OBJ +msw\wx_rbox.OBJ +msw\wx_scrol.OBJ &
		 +msw\wx_slidr.OBJ +msw\wx_stat.OBJ +msw\wx_text.OBJ +msw\wx_timer.OBJ &
		 +msw\wx_txt.OBJ +msw\wx_utils.OBJ +msw\wx_vlbox.OBJ +msw\wx_win.OBJ &
		 +..\contrib\gauge\zyz3d.OBJ +..\contrib\gauge\zyzgauge.OBJ
<<
			-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)
			-echo $(TARGETDIR)\$(PROJ).$(PROJTYPE) built

_done:
		-echo $(PROJ).$(PROJTYPE) done

buildall:	clean	all


clean:
		-del $(TARGETDIR)\$$SCW$$.$(PROJTYPE)
		-del $(TARGETDIR)\$(PROJ).CLE
		-del $(OUTPUTDIR)\SCPH.SYM
		-del wxsc167.dpd
		-del $(OBJS)

cleanres:

res:		cleanres $(RCFILES) all


link:
		LIB $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(LIBFLAGS)\
				@<<
 +..\contrib\fafa\button.OBJ +..\contrib\fafa\check.OBJ +..\contrib\fafa\cont.OBJ &
		 +..\contrib\fafa\dialog.OBJ +..\contrib\fafa\draw.OBJ +..\contrib\fafa\fafa.OBJ +..\contrib\fafa\static.OBJ &
		 +..\utils\rcparser\src\curico.OBJ +..\utils\dib\dib.OBJ +..\contrib\itsybits\itsybits.OBJ +..\utils\rcparser\src\rcobject.OBJ &
		 +..\utils\rcparser\src\rcparser.OBJ +base\wb_canvs.OBJ +base\wb_cmdlg.OBJ +base\wb_data.OBJ &
		 +base\wb_dc.OBJ +base\wb_dialg.OBJ +base\wb_form.OBJ +base\wb_frame.OBJ &
		 +base\wb_gdi.OBJ +base\wb_hash.OBJ +base\wb_help.OBJ +base\wb_ipc.OBJ &
		 +base\wb_item.OBJ +base\wb_list.OBJ +base\wb_main.OBJ +base\wb_mf.OBJ &
		 +base\wb_mgstr.OBJ +base\wb_obj.OBJ +base\wb_panel.OBJ +base\wb_print.OBJ &
		 +base\wb_ps.OBJ +base\wb_res.OBJ +base\wb_scrol.OBJ +base\wb_stat.OBJ &
		 +base\wb_stdev.OBJ +base\wb_sysev.OBJ +base\wb_text.OBJ +base\wb_timer.OBJ &
		 +base\wb_types.OBJ +base\wb_utils.OBJ +base\wb_vlbox.OBJ +base\wb_win.OBJ &
		 +base\wx_bbar.OBJ +base\wx_date.OBJ +base\wx_doc.OBJ +base\wx_enhdg.OBJ &
		 +base\wx_frac.OBJ +base\wx_lay.OBJ +base\wx_mem.OBJ +base\wx_split.OBJ &
		 +base\wx_tbar.OBJ +base\wx_time.OBJ +base\wxstring.OBJ +msw\wx_buttn.OBJ &
		 +msw\wx_canvs.OBJ +msw\wx_check.OBJ +msw\wx_choic.OBJ +msw\wx_clipb.OBJ &
		 +msw\wx_cmdlg.OBJ +msw\wx_combo.OBJ +msw\wx_db.OBJ +msw\wx_dc.OBJ &
		 +msw\wx_dialg.OBJ +msw\wx_frame.OBJ +msw\wx_gauge.OBJ +msw\wx_gdi.OBJ &
		 +msw\wx_group.OBJ +msw\wx_ipc.OBJ +msw\wx_item.OBJ +msw\wx_lbox.OBJ &
		 +msw\wx_main.OBJ +msw\wx_menu.OBJ +msw\wx_messg.OBJ +msw\wx_mf.OBJ &
		 +msw\wx_mtxt.OBJ +msw\wx_panel.OBJ +msw\wx_rbox.OBJ +msw\wx_scrol.OBJ &
		 +msw\wx_slidr.OBJ +msw\wx_stat.OBJ +msw\wx_text.OBJ +msw\wx_timer.OBJ &
		 +msw\wx_txt.OBJ +msw\wx_utils.OBJ +msw\wx_vlbox.OBJ +msw\wx_win.OBJ &
		 +..\contrib\gauge\zyz3d.OBJ +..\contrib\gauge\zyzgauge.OBJ
<<
		-del $(TARGETDIR)\$(PROJ).$(PROJTYPE)
		-ren $(TARGETDIR)\$$SCW$$.$(PROJTYPE) $(PROJ).$(PROJTYPE)




!IF EXIST (wxsc167.dpd)
!INCLUDE wxsc167.dpd
!ENDIF


